{
  "schema_version": "1.4.0",
  "id": "GHSA-ww74-g265-xf82",
  "modified": "2025-04-11T03:42:39Z",
  "published": "2022-05-17T01:03:30Z",
  "aliases": [
    "CVE-2010-3907"
  ],
  "details": "Multiple integer overflows in real.c in the Real demuxer plugin in VideoLAN VLC Media Player before 1.1.6 allow remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a zero i_subpackets value in a Real Media file, leading to a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-3907"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/64461"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A13950"
    },
    {
      "type": "WEB",
      "url": "http://git.videolan.org/?p=vlc.git%3Ba=commit%3Bh=6568965770f906d34d4aef83237842a5376adb55"
    },
    {
      "type": "WEB",
      "url": "http://git.videolan.org/?p=vlc.git;a=commit;h=6568965770f906d34d4aef83237842a5376adb55"
    },
    {
      "type": "WEB",
      "url": "http://www.cs.brown.edu/people/drosenbe/research.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/45632"
    },
    {
      "type": "WEB",
      "url": "http://www.videolan.org/security/sa1007.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/3345"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-01-03T20:00:00Z"
  }
}